XGETTEXT(1)

NAME
xgettext.pl - Extract translatable strings from source

VERSION
version 1.00

SYNOPSIS
xgettext.pl [OPTION] [INPUTFILE]...

DESCRIPTION
This program extracts translatable strings from given input files, or from STDIN if none are given.

Please see Locale::Maketext::Extract for a list of supported input file formats.

OPTIONS
Mandatory arguments to long options are mandatory for short options too. Similarly for optional arguments.

  Input file location:

INPUTFILE...
    Files to extract messages from. If not specified, STDIN is assumed.

-f, --files-from=FILE
    Get list of input files from FILE.

-D, --directory=DIRECTORY
    Add DIRECTORY to list for input files search.

  Input file format:

-u, --use-gettext-style
    Specifies that the source programs uses the Gettext style (e.g. %1) instead of the Maketext style (e.g. "[_1]") in its localization calls.

  Output file location:

-d, --default-domain=NAME
    Use NAME.po for output, instead of "messages.po".

-o, --output=FILE
    PO file name to be written or incrementally updated; "-" means writing to STDOUT.

-p, --output-dir=DIR
    Output files will be placed in directory DIR.

  Output details:

-g, --gnu-gettext
    Enables GNU gettext interoperability by printing "#, perl-maketext-format" before each entry that has "%" variables.

-W, --wrap
    If wrap is enabled, then, for entries with multiple file locations, each location is listed on a separate line. The default is to put them all on a single line.

    Other comments are not affected.

  Plugins:
By default, all builtin parser plugins are enabled for all file types, with warnings turned off.

If any plugin is specified on the command line, then warnings are turned on by default - you can turn them off with "-now"

-P|--plugin pluginname
        Use the specified plugin for the default file types recognised by that
        plugin.

-P|--plugin 'pluginname=*'
        Use the specified plugin for all file types.

-P|--plugin pluginname=ext,ext2
        Use the specified plugin for any files ending in C<.ext> or C<.ext2>

-P|--plugin My::Module::Name='*'
        Use your custom plugin module for all file types

Multiple plugins can be specified on the command line.

Available plugins:

"perl"    : Locale::Maketext::Extract::Plugin::Perl
    For a slightly more accurate but much slower Perl parser, you can use the PPI plugin. This does not have a short name, but must be specified in full, eg:

        xgettext.pl -P Locale::Maketext::Extract::Plugin::PPI

"tt2"     : Locale::Maketext::Extract::Plugin::TT2
"yaml"    : Locale::Maketext::Extract::Plugin::YAML
"formfu"  : Locale::Maketext::Extract::Plugin::FormFu
"mason"   : Locale::Maketext::Extract::Plugin::Mason
"text"    : Locale::Maketext::Extract::Plugin::TextTemplate
"generic" : Locale::Maketext::Extract::Plugin::Generic

  Warnings:
If a parser plugin encounters a syntax error while parsing, it will abort parsing and hand over to the next parser plugin. If warnings are turned on then the error will be echoed to STDERR.

Off by default, unless any plugin has been specified on the command line.

-w|--warnings
-now|--nowarnings

  Verbose:
If you would like to see which files have been processed, which plugins were used, and which strings were extracted, then enable "verbose". If no acceptable plugin was found, or no strings were extracted, then the file is not listed:

-v|--verbose
    Lists processed files.

-v -v|--verbose --verbose :
    Lists processed files and which plugins managed to extract strings.

-v -v|--verbose --verbose :
    Lists processed files, which plugins managed to extract strings, and the extracted strings, the line where they were found, and any variables.

SEE ALSO

Locale::Maketext::Extract
Locale::Maketext::Lexicon::Gettext
Locale::Maketext
Locale::Maketext::Extract::Plugin::Perl
Locale::Maketext::Extract::Plugin::PPI
Locale::Maketext::Extract::Plugin::TT2
Locale::Maketext::Extract::Plugin::YAML
Locale::Maketext::Extract::Plugin::FormFu
Locale::Maketext::Extract::Plugin::Mason
Locale::Maketext::Extract::Plugin::TextTemplate
Locale::Maketext::Extract::Plugin::Generic

AUTHORS
Audrey Tang <cpan@audreyt.org>

COPYRIGHT
Copyright 2002-2008 by Audrey Tang <cpan@audreyt.org>.

This software is released under the MIT license cited below.

  The "MIT" License
Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

AUTHORS

•   Clinton Gormley <drtech@cpan.org>

•   Audrey Tang <cpan@audreyt.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014 by Audrey Tang.

This is free software, licensed under:

  The MIT (X11) License